package com.yeejoin.amos.boot.module.jxiop.api.service;

import com.yeejoin.amos.boot.module.jxiop.api.dto.DeviceDto;
import com.yeejoin.amos.boot.module.jxiop.api.dto.IndexDto;
import com.yeejoin.amos.boot.module.jxiop.api.dto.StationTaksDto;

import java.util.List;

/**
 * @description:
 * @author: tw
 * @createDate: 2023/7/3
 */
public interface IStationDataTask {

     //获取场站列表

    List<StationTaksDto> getListStationBasic();

    //获取场站风机
    List<DeviceDto> getListDevice(StationTaksDto stationTaksDto);


    //获取每个风机信息 更新数据
    void getIndexDto(DeviceDto deviceDto);






}
